## org.gnu.gtk
Class ResizeMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ResizeMode

public class ResizeMode
extends Enum

Field Summary
`static ResizeMode` `IMMEDIATE`
`static ResizeMode` `PARENT`
`static ResizeMode` `QUEUE`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`ResizeMode` `and(ResizeMode other)`
`static ResizeMode` `intern(int value)`
`ResizeMode` `or(ResizeMode other)`
`boolean` `test(ResizeMode other)`
`ResizeMode` `xor(ResizeMode other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARENT

    public static final ResizeMode PARENT

### QUEUE

    public static final ResizeMode QUEUE

### IMMEDIATE

    public static final ResizeMode IMMEDIATE

Method Detail

### intern

    public static ResizeMode intern(int value)

### or

    public ResizeMode or(ResizeMode other)

### and

    public ResizeMode and(ResizeMode other)

### xor

    public ResizeMode xor(ResizeMode other)

### test

    public boolean test(ResizeMode other)